{html_head}
{if $ecard.image_border.display}
	<style type="text/css">
		#ecard_image {ldelim}
			border-style: {$ecard.image_border.style} !important;
			border-width: {$ecard.image_border.width} !important;
			border-color: #{$ecard.image_border.color} !important;
		{rdelim}
	</style>
{/if}
{/html_head}

<div id="ecard">
	{if !isset($ecard)}
		<span class="ecard_invalid">{'piwecard_invalid_ecard'|@translate}</span>
	{else}
		<fieldset>
			<legend id="ecard_legend">{$ecard.title}</legend>
			<div class="ecard_center">
				<a href="{$ecard.url}" alt="{$ecard.url}"> 
					<img class="theImage" id="ecard_image" src="{$ecard.image}" alt="{$ecard.name}" title="{$ecard.name}"/> 
				</a>

			</div>
			<div class="ecard_center">
				{if isset($ecard.image_title)}
					<span id="ecard_image_title">{$ecard.image_title} </span><span id="ecard_image_author">{if isset($ecard.image_author)}({$ecard.image_author}){/if}</span>
				{/if}
			</div>
			<div class="ecard_center ecard_top_space">
				{$ecard.message}
			</div>
			<hr class="ecard_top_space" />
			<div class="ecard_center">
				{'piwecard_publish_footer'|@translate} <a href="mailto:{$ecard.sender_email}" alt="{$ecard.sender_email}">{$ecard.sender_name}</a>.
			</div>
	{/if}
</div>